storefronts / Forms
POST
/api/projects/{project_id}/formsCreate Form
Creates a form for the target project.
GETPOST
Authentication
- Requirement
- Not specified
- Credential type
- Not specified
- Scopes
- Not specified
Permissions
- Requests are scoped to the target project_id. API-key requests must use a key with an active connection to that project.
Headers
Path Parameters
| Name | Required | Type | Details |
|---|---|---|---|
project_id | Yes | Not specified | Description: Target project identifier. |
Query Parameters
Request Body
Schema: CreateFormPayload
| Field | Required | Type | Details |
|---|---|---|---|
name | Yes | string | Description: Display name. |
type | Yes | string | Description: Text value. |
description | No | string | Description: Long-form description text. |
fields | No | JSON | Description: JSON object. |
layout | No | JSON | Description: JSON object. |
settings | No | JSON | Description: JSON object. |
formKey | No | string | Description: Text value. |
Response Body
Example 200 response
json
{
"id": 1,
"project_id": 1,
"name": "Example",
"type": "string",
"description": "string",
"fields": {},
"layout": {},
"settings": {},
"formKey": "string",
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-01T00:00:00Z"
}Errors
400 BAD_REQUEST500 INTERNAL_SERVER_ERRORAvailability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified

